/*
 * Created on 2004/11/02
 */
package com.wdpress.vol24.httpclient;

import org.apache.commons.httpclient.Cookie;
import org.apache.commons.httpclient.HttpClient;
import org.apache.commons.httpclient.HttpState;
import org.apache.commons.httpclient.HttpStatus;
import org.apache.commons.httpclient.UsernamePasswordCredentials;
import org.apache.commons.httpclient.cookie.CookiePolicy;
import org.apache.commons.httpclient.methods.GetMethod;

/**
 * @author iochi
 */
public class GetPage {

    /**
     * y[W擾܂B
     * @throws Exception sB
     */
    public void getPage() throws Exception {
        // @ HttpClient̐
        HttpClient client = new HttpClient();
        // A {F؂CookiȅێĂHttpState擾
        HttpState state = client.getState();

        // {F؂̏ݒ
        state.setCredentials("realm", null, new UsernamePasswordCredentials(
            "user", "password"));

        // B Cookie̐ݒ
        Cookie mycookie = new Cookie(".sunicom.com", "mycookie", "stuff", "/",
            null, false);
        state.addCookie(mycookie);
        state.setCookiePolicy(CookiePolicy.RFC2109);

        // HTTPNGXg𐶐
        GetMethod get = new GetMethod("http://www.sunicom.com/");
        get.setDoAuthentication(true);

        // HTTPNGXg𑗐MăX|XmF
        int status = client.executeMethod(get);
        String reason = HttpStatus.getStatusText(status);
        System.out.println(reason + "\n" + get.getResponseBodyAsString());
    }
}