/*
 * Created on 2004/11/05
 */
package com.wdpress.vol24.icu4j;

import java.io.IOException;

import com.ibm.icu.text.Normalizer;
import com.ibm.icu.text.Transliterator;

/**
 * @author iochi
 */
public class Kana {

    /**
     * JiɊւ鑀܂B
     * @throws IOException sB
     */
    public void kana() throws IOException {
        String result = Normalizer.normalize("p", Normalizer.NFKC);
        System.out.println(result);

        Transliterator t = Transliterator.getInstance("Hiragana-Katakana");
        result = t.transliterate("Ђ炪");
        System.out.println(result);

        t = Transliterator.getInstance("Hiragana-Latin");
        result = t.transliterate("Ђ炪");
        System.out.println(result);
    }

    /**
     * mainB
     * @param args NB
     */
    public static void main(String[] args) {
        try {
            new Kana().kana();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}