/*
 * Created on 2004/11/04
 */
package com.wdpress.vol24.poi;

import java.io.FileInputStream;
import java.io.FileOutputStream;

import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFCellStyle;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;

/**
 * @author iochi
 */
public class CreateExcelFile {

    /**
     * Excelt@C쐬B
     * @throws Exception sB
     */
    public void createAndReadExcelFile() throws Exception {
        // @ [NubN𐶐
        HSSFWorkbook workbook = new HSSFWorkbook();

        // A f[^ݒ
        // V[g쐬
        HSSFSheet sheet = workbook.createSheet("VV[g");
        // s𐶐
        HSSFRow row = sheet.createRow(0);
        // Z𐶐
        HSSFCell cell = row.createCell((short) 0);
        // Zɕ
        cell.setEncoding(HSSFCell.ENCODING_UTF_16); // {悤
        cell.setCellValue("낤");
        // Z̃X^Cݒ肷i2dЂj
        HSSFCellStyle style = workbook.createCellStyle();
        style.setBorderBottom(HSSFCellStyle.BORDER_DOUBLE);
        cell.setCellStyle(style);

        // B [NubNt@Cɂ
        FileOutputStream fileOut = new FileOutputStream("sample.xls");
        workbook.write(fileOut);
        fileOut.close();

        // C 쐬t@Cǂݍ
        workbook = new HSSFWorkbook(new FileInputStream("sample.xls"));
        String value = workbook.getSheetAt(0).getRow(0).getCell((short) 0)
            .getStringCellValue();
        System.out.println(value);
    }
}